Bug 1460201 - hieradata prepends an invalid comment to UUID when SMBIOS is newer then dmidecode supports
hieradata prepends an invalid comment to UUID when SMBIOS is newer then dmide...
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
9.0 (Mitaka)
All Linux
medium Severity medium
: ---
: 9.0 (Mitaka)
Assigned To: Angus Thomas
Amit Ugol
: Triaged, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 07:08 EDT by Paul Needle
Modified: 2018-02-04 22:13 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3113371 None None None 2017-07-13 05:04 EDT

  None (edit)
Description Paul Needle 2017-06-09 07:08:10 EDT
Description of problem:

If the SMBIOS of a host is newer than is supported by the installed version of dmidecode, an invalid entry is included before the UUID in a node's heiradata. For example:

---
# SMBIOS implementations newer than version 2.8 are not# fully supported by this version of dmidecode.<UUID>
---

This impacts the pre_deploy per_node.yaml phase of an overcloud deployment because host UUIDs are not valid.

One potential solution could be for dmidecode to be updated prior to running pre_deploy per_node.yaml.

Version-Release number of selected component (if applicable):

* Red Hat OpenStack Platform Director 9.
* dmidecode.

How reproducible:

Every time.

Steps to Reproduce:

1. Run dmidecode on a node where the SMBIOS is newer than that which is supported by the installed version of dmidecode.

2. Perform an overcloud deployment prior to updating dmidecode, which causes issues at the pre_deploy per_node.yaml stage because the UUID is subsequently invalid.

Actual results:

The '#SMBIOS implementations newer than version 2.8 are not# fully supported by this version of dmidecode.' comment is included in the UUID string in hieradata.

Expected results:

For the UUID only to be correctly output to hieradata so that the pre_deploy per_node.yaml phase can reference the correct UUID of a host.
Comment 2 Alex Schultz 2017-06-15 09:33:52 EDT
The issue is with this line, where i guess dmidecode may return some invalid data depending on the version.

https://github.com/openstack/tripleo-heat-templates/blob/ede56b7a8e2db78513b64996b0a0f5a1ce1904db/puppet/extraconfig/pre_deploy/per_node.yaml#L32

Note You need to log in before you can comment on or make changes to this bug.